Subject: [PATCH v1 0/4] Add aarch64-none-elf-gcc-toolchain.

From: Denis 'GNUtoo' Carikli <[email-masked]>
Date: Thu, 18 May 2023 20:24:34 +0200

Hi,

Here's a patch serie to add a GCC cross toolchain for aarch64-none-elf. For
now it doesn't contain C++ support but that can be added on later.

I've validated by building u-boot locally with it.

I didn't test it for microncontroller development as I don't know what board
to get to test it. Apparently support for 64bit was added to Armv8-R, so it
might be possible to find some boards with 64bit CPUs at some point.

Denis 'GNUtoo' Carikli (4):
  gnu: Add aarch64-none-elf-binutils.
  gnu: Add aarch64-none-elf-gcc.
  gnu: Add aarch64-none-elf-newlib.
  gnu: Add aarch64-none-elf-gcc-toolchain.

 gnu/local.mk                                |   1 +
 gnu/packages/aarch64-none-elf-toolchain.scm | 159 ++++++++++++++++++++
 2 files changed, 160 insertions(+)
 create mode 100644 gnu/packages/aarch64-none-elf-toolchain.scm

base-commit: 5b700945fb0b33eec410de8979cae2fbf0d4f118
-- 
2.40.1